GENTZ(8)

NAME
gentz - compile timezone information

SYNOPSIS
gentz [ -h, -?, --help ] [ -c, --copyright ] [ -d, --destdir destination ] timezone

DESCRIPTION
gentz reads a timezone file and compile it into a binary form. The resulting file, tz.dat, can then be read directly by ICU, or used by pkgdata(8) for incorporation into a larger archive or library.

The file read by gentz is described in the FILES section.

OPTIONS

-h, -?, --help
    Print help about usage and exit.

-c, --copyright
    Include a copyright notice into the binary data.

-d, --destdir destination
    Set the destination directory to destination. The default destination directory is specified by the environment variable ICU_DATA.

ENVIRONMENT

ICU_DATA
    Specifies the directory containing ICU data. Defaults to @thepkgicudatadir@/@PACKAGE@/@VERSION@/. Some tools in ICU depend on the presence of the trailing slash. It is thus important to make sure that it is present if ICU_DATA is set.

FILES
The following file is read by gentz.

timezone.txt
    Contains UNIX timezone data in a format that can be understood by gentz.

VERSION
@VERSION@

COPYRIGHT
Copyright (C) 2000-2002 IBM, Inc. and others.

SEE ALSO
pkgdata(8)